use crate::routes::auth::JWTClaims;
use jsonwebtoken::errors::Error;
use jsonwebtoken::{decode, DecodingKey, EncodingKey, TokenData, Validation};

const JWT_SECRET: &str = "secret";

pub fn get_token(token: &str) -> Result<TokenData<JWTClaims>, Error> {
    let token = decode::<JWTClaims>(token, &get_decoding_key(), &Validation::default())?;
    Ok(token)
}

pub fn get_encoding_key() -> EncodingKey {
    EncodingKey::from_secret(JWT_SECRET.as_ref())
}

pub fn get_decoding_key() -> DecodingKey {
    DecodingKey::from_secret(JWT_SECRET.as_ref())
}
