use serde::{Deserialize, Serialize};

#[derive(Deserialize, Serialize)]
pub struct Track {
    pub id: String,
    pub name: String,
    pub duration_ms: i32,
    pub artists: Vec<Artist>,
    pub album: Album,

    pub external_ids: ExternalIds,
}

#[derive(Deserialize, Serialize)]
pub struct ExternalIds {
    pub isrc: String,
}

#[derive(Deserialize, Serialize)]
pub struct Artist {
    pub id: String,
    pub name: String,
}

#[derive(Deserialize, Serialize)]
pub struct Album {
    pub id: String,
    pub name: String,
    pub artists: Vec<Artist>,
}

#[derive(Deserialize, Serialize)]
pub struct APISearchResponse {
    pub albums: APISearchItems<Album>,
    pub artists: APISearchItems<Artist>,
    pub tracks: APISearchItems<Track>,
}

#[derive(Deserialize, Serialize)]
pub struct APISearchItems<T> {
    pub items: Vec<T>,
}
